Subject: bug#26531: Emacs crashes with adding space character

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Apr 2017 19:57:23 +0300

> Date: Sun, 16 Apr 2017 08:44:00 -0500
> From: Ranjan Maitra <[email-masked]>
> 
> > I cannot reproduce the problem on the same platform by running the latest Emacs 
> > 25 built from git (this is commit bc55a5742352f14b1ff3c50d19b5d00f087bd466 dated 
> > 2017-04-12). So I am hoping that the bug is fixed and that the fix will appear 
> > in the next release. If possible, it'd be nice if you tried the latest Emacs 25 too.
> > 
> 
> I will try it with the git version. Is that the latest developmental release? 

No, please try building the latest HEAD of the emacs-25 branch, or the
latest release candidate of Emacs 25.2.

> > Was this built with ralloc.c?  The symptoms (pointers to buffer text are garbled) sound similar to problems we had before we stopped using
> ralloc.c.
> 
> How do I figure this out? 

If you see a file ralloc.o in the src directory after building Emacs,
then the build uses ralloc.c.

> Is there a date for the release of a new version?

Emacs 25.2 is about to be released in a couple of days, but I'm not
sure you built that version.